happy-lib-2.1.7: Happy is a parser generator for Haskell implemented using this library

Safe Haskell | Safe-Inferred
Language | Haskell98

Happy.Grammar.ExpressionWithHole

Synopsis

- data ExpressionWithHole = ExpressionWithHole {
  - exprLeft :: String
  - exprRight :: String
  }
- substExpressionWithHole :: ExpressionWithHole -> String -> String

# Documentation

data ExpressionWithHole Source #

The overall expression is 'tokLeft ++ substitutedForHole ++ tokRight'.

Constructors

ExpressionWithHole |

Fields

- exprLeft :: String
- exprRight :: String

#### Instances

Instances details

Show ExpressionWithHole Source # |
Instance details Defined in Happy.Grammar.ExpressionWithHole Methods showsPrec :: Int -> ExpressionWithHole -> ShowS Source # show :: ExpressionWithHole -> String Source # showList :: [ExpressionWithHole] -> ShowS Source #
Eq ExpressionWithHole Source # |
Instance details Defined in Happy.Grammar.ExpressionWithHole Methods (==) :: ExpressionWithHole -> ExpressionWithHole -> Bool Source # (/=) :: ExpressionWithHole -> ExpressionWithHole -> Bool Source #

substExpressionWithHole :: ExpressionWithHole -> String -> String Source #